org.faceless.pdf2.viewer2.feature

## Class Quit

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.Quit

- All Implemented Interfaces:
    ActionListener, EventListener

      public class Quit
      extends ViewerWidget
      implements ActionListener

  Create a menu item that will quit the application - ie. it calls `System.exit(0)`. The name of this feature is Quit

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Quit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(ViewerEvent event)` The method that's run when this feature is activated.
    `void` | `actionPerformed(ActionEvent evt)` Run the Quit action.
    `protected ActionListener` | `createActionListener()` Return an ActionListener that will be called when this Widget is activated.
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `getComponent, getIcon, getViewer, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Quit

          public Quit()

  - ### Method Detail

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerWidget`

    - #### createActionListener

          protected ActionListener createActionListener()

      Description copied from class: `ViewerWidget`
      Return an ActionListener that will be called when this Widget is activated. Subclasses will typically not need to override this method except in special cases.
      Overrides:
        `createActionListener` in class `ViewerWidget`
      Returns:
        ActionListener the ActionListener to be notified when an event fires
      See Also:
        `createActionListener()`

    - #### actionPerformed

          public void actionPerformed(ActionEvent evt)

      Run the Quit action.
      Specified by:
        `actionPerformed` in interface `ActionListener`

    - #### action

          public void action(ViewerEvent event)

      Description copied from class: `ViewerWidget`
      The method that's run when this feature is activated. This method is called by the `ActionListener` returned by the default implementation of `ViewerWidget.createActionListener()`, and by default is a no-op.
      Overrides:
        `action` in class `ViewerWidget`

Copyright © 2001-2015 Big Faceless Organization